nz-spin([nzSpinning]="loading", nzTip="Scanning repository")
  nz-card([nzBordered]="false", [nzTitle]="titleTemplate", [nzExtra]="extraTemplate")
    ng-container(*ngIf="result")
      ng-container(*ngIf="result.error; else modulesTemplate")
        nz-result(nzTitle="Scan failed", nzStatus="error", [nzSubTitle]="result.error")

    ng-container(*ngIf="!result && !lastScan")
      nz-empty(nzNotFoundContent="No scan processed")

    ng-container(*ngIf="!result && lastScan")
      ryax-repository-module-scan-list([modules]="lastScan",
        (build)="buildModule($event)", (onDuplicate)="openDuplicateModal()", (scanError)="openScanErrorModal($event)", (updateSort)="onSortChange($event)")

    ng-template(#titleTemplate)
      span Last scan results (from commit: {{ result ? result?.sha : lastScanSha }})
    ng-template(#extraTemplate)
      ryax-action-button(icon="search", label="New scan", type="primary", (click)="onNewScan()")
